VERSION 5.00
Begin VB.Form frmProgramInfo 
   Appearance      =   0  'Flat
   BackColor       =   &H80000005&
   ClientHeight    =   8220
   ClientLeft      =   2715
   ClientTop       =   2235
   ClientWidth     =   10125
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Icon            =   "PROGINFO.frx":0000
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   8220
   ScaleWidth      =   10125
   Begin VB.CommandButton cmdProgramExit 
      Appearance      =   0  'Flat
      Caption         =   "&Exit"
      Height          =   495
      Left            =   6165
      TabIndex        =   3
      Top             =   7560
      Width           =   2000
   End
   Begin VB.CommandButton cmdProgReturn 
      Appearance      =   0  'Flat
      Caption         =   "&Return To Program"
      Default         =   -1  'True
      Height          =   495
      Left            =   2085
      TabIndex        =   2
      Top             =   7560
      Width           =   2000
   End
   Begin VB.Label lblReferenceText 
      Appearance      =   0  'Flat
      BackColor       =   &H0000FF00&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00404040&
      Height          =   1215
      Left            =   960
      TabIndex        =   4
      Top             =   6120
      Width           =   8415
   End
   Begin VB.Label lblProgInfoText 
      Appearance      =   0  'Flat
      BackColor       =   &H00FF0000&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H0000FFFF&
      Height          =   5415
      Left            =   960
      TabIndex        =   1
      Top             =   600
      Width           =   8415
   End
   Begin VB.Label lblFormTitle 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "PROGRAM INFORMATION"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   300
      Left            =   3372
      TabIndex        =   0
      Top             =   120
      Width           =   3500
   End
End
Attribute VB_Name = "frmProgramInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmdProgramExit_Click()
    End
End Sub

Private Sub cmdProgReturn_Click()
    frmProgramInfo.Hide
    frmWireMain.Show
End Sub

Private Sub Form_Load()
    ' Program information and reference resource text

        ' center form on screen
    CenterForm frmProgramInfo

        ' display form title
    ProgramTitle frmProgramInfo

        ' define newline code
    NewLine = Chr$(13) + Chr$(10)   ' Chr$(13) is enter
                                    ' Chr$(10) is line feed

        ' space string (3 spaces)
    S$ = "   "

        ' first paragraph help text
    L1$ = NewLine
    L2$ = S$ + "The purpose of this program is two-fold:  to display the American" + NewLine
    L3$ = S$ + "Wire Gauge (AWG) and Standard Wire Gauge (SWG) wire tables" + NewLine
    L4$ = S$ + "and to allow the user to input the diameter (in inches) of an" + NewLine
    L5$ = S$ + "unknown wire size and to make a ""best guess"" as to its size in the" + NewLine
    L6$ = S$ + "2 different numbering systems.  The Standard Wire Gauge is also" + NewLine
    L7$ = S$ + "known as the British Standard Wire Gage.  It has been included" + NewLine
    L8$ = S$ + "as, many times, wire in surplus stores is sized in SWG." + NewLine
    L9$ = NewLine
    P1$ = L1$ + L2$ + L3$ + L4$ + L5$ + L6$ + L7$ + L8$ + L9$

        ' second paragraph help text
    L10$ = S$ + "The AWG system identifies the standard numbered sizes as #4/0" + NewLine
    L11$ = S$ + "thru #50 (0.4600 to 0.0010 inches in diameter).  The SWG system" + NewLine
    L12$ = S$ + "identifies numbered sizes from #7/0 thru #50 (0.5000 to 0.0010" + NewLine
    L13$ = S$ + "inches in diameter).  Larger sizes are usually given in terms of" + NewLine
    L14$ = S$ + "circular mils.  One mil = 0.001 inch.  To compute the area in circular" + NewLine
    L15$ = S$ + "mils, use this formula: area = (diameter x 1000) * (diameter x 1000)." + NewLine
    L16$ = S$ + "For example, the cross-sectional area of #50 wire in both systems" + NewLine
    L17$ = S$ + "is 1 circular mil (0.0010 inches in diameter)." + NewLine
    L18$ = NewLine
    P2$ = L10$ + L11$ + L12$ + L13$ + L14$ + L15$ + L16$ + L17$ + L18$

        ' display help text
    lblProgInfoText.Caption = P1$ + P2$

        ' reference resource text
    R1$ = NewLine
    R2$ = S$ + "The reference text for this program was the Standard Handbook" + NewLine
    R3$ = S$ + "for Electrical Engineers, Tenth Edition, 1968." + NewLine
    R4$ = NewLine
    P3$ = R1$ + R2$ + R3$ + R4$

        ' display reference resource text
    lblReferenceText.Caption = P3$


End Sub

