VERSION 5.00
Begin VB.Form frmWireMain 
   Appearance      =   0  'Flat
   BackColor       =   &H00FFC0FF&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   " WIRE PROPERTIES - Version 1.0"
   ClientHeight    =   2790
   ClientLeft      =   2985
   ClientTop       =   3825
   ClientWidth     =   9495
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Icon            =   "WIREPROP.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2790
   ScaleWidth      =   9495
   Begin VB.Label lblProgramCredit 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H0080FFFF&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "WS7R - 2003"
      ForeColor       =   &H80000008&
      Height          =   225
      Left            =   4200
      TabIndex        =   1
      Top             =   2520
      Width           =   1215
   End
   Begin VB.Label lblProgramTitle 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H00FFFF80&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "AWG and SWG Wire Properties"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   18
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   495
      Left            =   345
      TabIndex        =   0
      Top             =   1000
      Width           =   8850
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuDiam 
         Caption         =   "&Enter Wire Diameter"
      End
      Begin VB.Menu mnuNULL1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuAWGArea 
         Caption         =   "AWG &Area"
      End
      Begin VB.Menu mnuAWGRes 
         Caption         =   "AWG &Resistance"
      End
      Begin VB.Menu mnuAWGWt 
         Caption         =   "AWG &Weight"
      End
      Begin VB.Menu mnuNULL2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuSWGArea 
         Caption         =   "&SWG Area"
      End
      Begin VB.Menu mnuSWGRes 
         Caption         =   "SWG Res&istance"
      End
      Begin VB.Menu mnuSWGWt 
         Caption         =   "SW&G Weight"
      End
      Begin VB.Menu mnuNULL3 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExitItem 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuInfo 
      Caption         =   "&Info"
      Begin VB.Menu mnuGeneral 
         Caption         =   "&General Information"
      End
      Begin VB.Menu mnuOtherProgs 
         Caption         =   "&Other Programs Available"
      End
      Begin VB.Menu mnuNULL4 
         Caption         =   "-"
      End
      Begin VB.Menu mnuAbout 
         Caption         =   "&About Wire Properties"
      End
   End
End
Attribute VB_Name = "frmWireMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub ExitItem_Click()
    End
End Sub

Private Sub Form_Load()

        ' center title on form - method empirically derived
        ' form width = 9525 twips  (frm.Width function)
        '  approx. 150 characters or 63.5 twips/char.

        ' dimension local variables
    Dim X As Integer, y As Integer

        ' get form title
    ProgramTitle frmWireMain

        ' extract form caption text from title
    Text1$ = frmWireMain.Caption    ' returned by Subprogram
    X = Len(Text1$)                 ' length of caption (30 chars)
    Cap$ = Right$(Text1$, (X - 1))  ' strip off leading space
    y = Len(Cap$)                   ' length of caption (29 chars)

        ' determine title placement

        '-----------------------------------------------
        ' approx. number of spaces on form = 150
        ' est. number of spaces in icon, max button,
        '  min button, and control box = 29
        ' approx. number of usable spaces in title bar =
        '  (150 - 29) = 121
        ' number of spaces in title = 29
        ' number of spaces each side of title =
        '  (121 - 29) / 2 = 92 / 2 = 46
        ' length of caption string = (46 + 29) = 75
        '-----------------------------------------------

        ' display centered title
        ' pad title on left with spaces
    Text2$ = String$((121 - y) / 2, " ") + Cap$
        ' caption length is now 75 characters
    frmWireMain.Caption = Text2$

        ' center form on screen
    CenterForm frmWireMain
End Sub

Private Sub mnuAbout_Click()
    frmAboutInfo.Show
End Sub

Private Sub mnuAWGArea_Click()
    frmWireMain.Hide
    frmAWGArea.Show
End Sub

Private Sub mnuAWGRes_Click()
    frmWireMain.Hide
    frmAWGResistances.Show
End Sub

Private Sub mnuAWGWt_Click()
    frmWireMain.Hide
    frmAWGWeights.Show
End Sub

Private Sub mnuDiam_Click()
    frmWireMain.Hide
    frmWireInput.Show
End Sub

Private Sub mnuExitItem_Click()
    End
End Sub

Private Sub mnuGeneral_Click()
    frmWireMain.Hide
    frmProgramInfo.Show
End Sub

Private Sub mnuOtherProgs_Click()
    frmWireMain.Hide
    frmProgsAvail.Show
End Sub

Private Sub mnuSWGArea_Click()
    frmWireMain.Hide
    frmSWGArea.Show
End Sub

Private Sub mnuSWGRes_Click()
    frmWireMain.Hide
    frmSWGResistances.Show
End Sub

Private Sub mnuSWGWt_Click()
    frmWireMain.Hide
    frmSWGWeights.Show
End Sub

