VERSION 5.00
Begin VB.Form frmInputHelp 
   Appearance      =   0  'Flat
   BackColor       =   &H80000005&
   ClientHeight    =   5130
   ClientLeft      =   4245
   ClientTop       =   2625
   ClientWidth     =   7020
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Icon            =   "INPUTHEL.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   5130
   ScaleWidth      =   7020
   Begin VB.CommandButton cmdOK 
      Appearance      =   0  'Flat
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   495
      Left            =   2880
      TabIndex        =   2
      Top             =   4320
      Width           =   1215
   End
   Begin VB.Label HelpText 
      Appearance      =   0  'Flat
      BackColor       =   &H00FF0000&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H0000FFFF&
      Height          =   3135
      Left            =   998
      TabIndex        =   1
      Top             =   960
      Width           =   5145
   End
   Begin VB.Label lblFormTitle 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "INPUT HELP"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   300
      Left            =   2570
      TabIndex        =   0
      Top             =   240
      Width           =   2000
   End
End
Attribute VB_Name = "frmInputHelp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmdOK_Click()

    If Val(frmWireInput.txtDiamInput.Text) = 0 Then
        frmWireInput.txtDiamInput.SetFocus  ' input text box has focus
    Else
        frmWireInput.txtDiamInput.Text = "" ' clear input
        frmWireInput.txtDiamInput.SetFocus  ' input text box has focus
    End If

    frmInputHelp.Hide                       ' hide help screen

End Sub

Private Sub Form_Load()
    ' Input form help text

        ' center form on screen
    CenterForm frmInputHelp

        ' display form title
    ProgramTitle frmInputHelp

        ' define newline code
    NewLine = Chr$(13) + Chr$(10)   ' Chr$(13) is enter
                                    ' Chr$(10) is line feed

        ' first paragraph
    L1$ = NewLine
    L2$ = " This program will accept input in the range of" + NewLine
    L3$ = " 0.5000 to 0.0010 inches.  It is not necessary" + NewLine
    L4$ = " (or allowable) to input the zero to the left of" + NewLine
    L5$ = " the decimal point or the decimal point itself." + NewLine
    L6$ = NewLine
    P1$ = L1$ + L2$ + L3$ + L4$ + L5$ + L6$

        ' second paragraph
    L7$ = " The length of the input must be 1 to 4 numeric" + NewLine
    L8$ = " digits.  Any deviation from this will result in an" + NewLine
    L9$ = " error message.  Any non-numeric characters" + NewLine
    L10$ = " input will also result in an error message." + NewLine
    L11$ = NewLine
    P2$ = L7$ + L8$ + L9$ + L10$ + L11$
    
        ' third paragraph
    L12$ = " Press or click on OK to return to the input screen."

        ' display text
    HelpText.Caption = P1$ + P2$ + L12$

End Sub

