VERSION 2.00
Begin Form frmWireMain 
   BackColor       =   &H00FFC0FF&
   BorderStyle     =   3  'Fixed Double
   Caption         =   " WIRE PROPERTIES - Version 1.0"
   ClientHeight    =   2790
   ClientLeft      =   2985
   ClientTop       =   3825
   ClientWidth     =   9495
   Height          =   3480
   Icon            =   WIREPROP.FRX:0000
   Left            =   2925
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   2790
   ScaleWidth      =   9495
   Top             =   3195
   Width           =   9615
   Begin Label lblProgramCredit 
      Alignment       =   2  'Center
      BackColor       =   &H0080FFFF&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "WS7R - 2003"
      Height          =   225
      Left            =   4200
      TabIndex        =   1
      Top             =   2520
      Width           =   1215
   End
   Begin Label lblProgramTitle 
      Alignment       =   2  'Center
      BackColor       =   &H00FFFF80&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "AWG and SWG Wire Properties"
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   18
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   495
      Left            =   345
      TabIndex        =   0
      Top             =   1000
      Width           =   8850
   End
   Begin Menu mnuFile 
      Caption         =   "&File"
      Begin Menu mnuDiam 
         Caption         =   "&Enter Wire Diameter"
      End
      Begin Menu mnuNULL1 
         Caption         =   "-"
      End
      Begin Menu mnuAWGArea 
         Caption         =   "AWG &Area"
      End
      Begin Menu mnuAWGRes 
         Caption         =   "AWG &Resistance"
      End
      Begin Menu mnuAWGWt 
         Caption         =   "AWG &Weight"
      End
      Begin Menu mnuNULL2 
         Caption         =   "-"
      End
      Begin Menu mnuSWGArea 
         Caption         =   "&SWG Area"
      End
      Begin Menu mnuSWGRes 
         Caption         =   "SWG Res&istance"
      End
      Begin Menu mnuSWGWt 
         Caption         =   "SW&G Weight"
      End
      Begin Menu mnuNULL3 
         Caption         =   "-"
      End
      Begin Menu mnuExitItem 
         Caption         =   "E&xit"
      End
   End
   Begin Menu mnuInfo 
      Caption         =   "&Info"
      Begin Menu mnuGeneral 
         Caption         =   "&General Information"
      End
      Begin Menu mnuOtherProgs 
         Caption         =   "&Other Programs Available"
      End
      Begin Menu mnuNULL4 
         Caption         =   "-"
      End
      Begin Menu mnuAbout 
         Caption         =   "&About Wire Properties"
      End
   End
End

Sub ExitItem_Click ()
    End
End Sub

Sub Form_Load ()

        ' center title on form - method empirically derived
        ' form width = 9525 twips  (frm.Width function)
        '  approx. 150 characters or 63.5 twips/char.

        ' dimension local variables
    Dim x As Integer, y As Integer

        ' get form title
    ProgramTitle frmWireMain

        ' extract form caption text from title
    Text1$ = frmWireMain.Caption    ' returned by Subprogram
    x = Len(Text1$)                 ' length of caption (30 chars)
    Cap$ = Right$(Text1$, (x - 1))  ' strip off leading space
    y = Len(Cap$)                   ' length of caption (29 chars)

        ' determine title placement

        '-----------------------------------------------
        ' approx. number of spaces on form = 150
        ' est. number of spaces in icon, max button,
        '  min button, and control box = 29
        ' approx. number of usable spaces in title bar =
        '  (150 - 29) = 121
        ' number of spaces in title = 29
        ' number of spaces each side of title =
        '  (121 - 29) / 2 = 92 / 2 = 46
        ' length of caption string = (46 + 29) = 75
        '-----------------------------------------------

        ' display centered title
        ' pad title on left with spaces
    Text2$ = String$((121 - y) / 2, " ") + Cap$
        ' caption length is now 75 characters
    frmWireMain.Caption = Text2$

        ' center form on screen
    CenterForm frmWireMain
End Sub

Sub mnuAbout_Click ()
    frmAboutInfo.Show
End Sub

Sub mnuAWGArea_Click ()
    frmWireMain.Hide
    frmAWGArea.Show
End Sub

Sub mnuAWGRes_Click ()
    frmWireMain.Hide
    frmAWGResistances.Show
End Sub

Sub mnuAWGWt_Click ()
    frmWireMain.Hide
    frmAWGWeights.Show
End Sub

Sub mnuDiam_Click ()
    frmWireMain.Hide
    frmWireInput.Show
End Sub

Sub mnuExitItem_Click ()
    End
End Sub

Sub mnuGeneral_Click ()
    frmWireMain.Hide
    frmProgramInfo.Show
End Sub

Sub mnuOtherProgs_Click ()
    frmWireMain.Hide
    frmProgsAvail.Show
End Sub

Sub mnuSWGArea_Click ()
    frmWireMain.Hide
    frmSWGArea.Show
End Sub

Sub mnuSWGRes_Click ()
    frmWireMain.Hide
    frmSWGResistances.Show
End Sub

Sub mnuSWGWt_Click ()
    frmWireMain.Hide
    frmSWGWeights.Show
End Sub

